Bug 1609024 - Certmonger post-save command does not work automatically after CA cert renewal
Summary: Certmonger post-save command does not work automatically after CA cert renewal
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: zstream
: 10.0 (Newton)
Assignee: RHOS Maint
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks: 1572282
TreeView+ depends on / blocked
 
Reported: 2018-07-26 18:30 UTC by Harry Rybacki
Modified: 2021-12-10 16:54 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1595876
Environment:
Last Closed: 2020-03-19 19:15:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker OSP-11500 0 None None None 2021-12-10 16:54:35 UTC
Red Hat Knowledge Base (Solution) 3357871 0 None None None 2018-07-26 18:30:27 UTC

Comment 2 Juan Antonio Osorio 2018-08-06 06:55:54 UTC
Before fixing this bug, the following patch has to merge in puppet-certmonger https://github.com/saltedsignal/puppet-certmonger/pull/21 and needs to be taken into use. The current puppet-certmonger code doesn't allow certmonger updates. The patch I linked to fixes that.

Comment 4 Ade Lee 2020-03-19 19:15:41 UTC
Fixed and verified on OSP 13


Note You need to log in before you can comment on or make changes to this bug.